Routing API for routing from location A to location B.

### Hierarchy

- Route

## Index

### Constructors

- constructor

### Properties

- apiUrl
- heightApiUrl
- API_URL
- HEIGHT_API_URL

### Methods

- route

## Constructors

### constructor

- new Route(routecalcOptions?: RoutecalcOptions): Route

- - Defined in Route.ts:11

  #### Parameters

  - ##### Optional routecalcOptions: RoutecalcOptions

  #### Returns Route

## Properties

### apiUrl

apiUrl: string

- Defined in Route.ts:10

### heightApiUrl

heightApiUrl: string

- Defined in Route.ts:11

### Static Private API_URL

API_URL: string

- Defined in Route.ts:8

### Static Private HEIGHT_API_URL

HEIGHT_API_URL: string

- Defined in Route.ts:9

## Methods

### route

- route(routeOptions: RouteOptions, callback?: function): void

- - Defined in Route.ts:27

  Routing helps to get directions information for different profiles:

  - car
  - foot
  - bicycle

  #### Parameters

  - ##### routeOptions: RouteOptions

    option settings like profile and from/via/to coordinates

  - ##### Optional callback: function

    Function callback to process geocode results

    - - (ev: Event, data: RouteResponse): any

      - #### Parameters

        - ##### ev: Event

        - ##### data: RouteResponse

        #### Returns any

  #### Returns void

Generated using TypeDoc